ovs-dpctl(8)

NAME
ovs-dpctl - administer Open vSwitch datapaths

SYNOPSIS
ovs-dpctl [options] command [switch] [args...]

DESCRIPTION

The ovs-dpctl program can create, modify, and delete Open vSwitch datapaths. A single machine may host any number of datapaths.

This program works only with datapaths that are implemented outside of ovs-vswitchd itself, such as the Linux and Windows kernel-based datapaths. To manage datapaths that are integrated into ovs-vswitchd, such as the userspace (netdev) datapath, use ovs-appctl(8) to invoke the dpctl/* commands, which are documented in ovs-vswitchd(8).

A newly created datapath is associated with only one network device, a virtual network device sometimes called the datapath's ``local port''. A newly created datapath is not, however, associated with any of the host's other network devices. To intercept and process traffic on a given network device, use the add-if command to explicitly add that network device to the datapath.

If ovs-vswitchd(8) is in use, use ovs-vsctl(8) instead of ovs-dpctl.

Most ovs-dpctl commands that work with datapaths take an argument that specifies the name of the datapath. Datapath names take the form [type@]name, where name is the network device associated with the datapath's local port. If type is given, it specifies the datapath provider of name, otherwise the default provider system is assumed.

The following commands manage datapaths.

OPTIONS

-t  Limits ovs-dpctl runtime to approximately secs seconds. If the timeout expires, ovs-dpctl will exit with a SIGALRM signal.

SEE ALSO
ovs-appctl(8), ovs-vswitchd(8)